extends Control

@onready var name_label = %NameLabel
@onready var level_label = %LevelLabel
@onready var job_label = %JobLabel
@onready var activity_label = %ActivityLabel
@onready var portrait = %Portrait


func setup(new_name : String, level : int, job : String, activity : String) -> void:
	name_label.text = new_name
	level_label.text = "Lv " + str(level)
	job_label.text = job
	activity_label.text = activity

func change_activity(activity : String) -> void:
	activity_label.text = activity
